#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=enewetak5.6_base.ps
projection=-JM16.0c+
region=-R162.0/162.3/11.2/11.8
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map enewetak5.6' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    11.667   162.190
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    11.667   162.190
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    11.671   162.200
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    11.671   162.199
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    11.343   162.175
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    11.685   162.240
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    11.677   162.185
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    11.605   162.100
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    11.678   162.206
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    11.651   162.220
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.671   162.200
    11.671   162.200
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.671   162.200
    11.671   162.200
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.671   162.200
    11.671   162.200
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.671   162.199
    11.671   162.199
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.671   162.199
    11.671   162.199
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.671   162.199
    11.671   162.199
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.344   162.175
    11.343   162.175
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.344   162.175
    11.343   162.175
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.343   162.175
    11.343   162.175
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.685   162.240
    11.685   162.240
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.685   162.240
    11.685   162.240
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.685   162.240
    11.685   162.240
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.677   162.185
    11.677   162.185
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.677   162.185
    11.677   162.185
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.677   162.185
    11.677   162.185
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.605   162.100
    11.605   162.100
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.605   162.100
    11.605   162.100
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.605   162.100
    11.605   162.100
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.678   162.206
    11.678   162.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.678   162.206
    11.678   162.206
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.678   162.206
    11.678   162.206
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    11.651   162.220
    11.651   162.220
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    11.651   162.220
    11.651   162.220
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    11.651   162.220
    11.651   162.220
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    11.667   162.190     0.200
    11.667   162.190     0.200
    11.671   162.200     0.200
    11.671   162.199     0.200
    11.344   162.175     0.200
    11.685   162.240     0.200
    11.677   162.185     0.200
    11.605   162.100     0.200
    11.678   162.206     0.200
    11.651   162.220     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    11.667   162.190     0.000     1.000     1.000
    11.667   162.190     0.000     1.000     1.000
    11.671   162.200     0.000     1.000     1.000
    11.671   162.199     0.000     1.000     1.000
    11.344   162.175     0.000     1.000     1.000
    11.685   162.240     0.000     1.000     1.000
    11.677   162.185     0.000     1.000     1.000
    11.605   162.100     0.000     1.000     1.000
    11.678   162.206     0.000     1.000     1.000
    11.651   162.220     0.000     1.000     1.000
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.667   162.190
    11.667   162.190
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.671   162.200
    11.671   162.200
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.671   162.199
    11.671   162.199
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.344   162.175
    11.343   162.175
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.685   162.240
    11.685   162.240
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.677   162.185
    11.677   162.185
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.605   162.100
    11.605   162.100
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.678   162.206
    11.678   162.206
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    11.651   162.220
    11.651   162.220
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    11.667   162.190     0.000     0.000     0.000
    11.667   162.190     0.000     0.000     0.000
    11.671   162.200     0.000     0.000     0.000
    11.671   162.199     0.000     0.000     0.000
    11.343   162.175     0.000     0.000     0.000
    11.685   162.240     0.000     0.000     0.000
    11.677   162.185     0.000     0.000     0.000
    11.605   162.100     0.000     0.000     0.000
    11.678   162.206     0.000     0.000     0.000
    11.651   162.220     0.000     0.000     0.000
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    11.297   162.055     0.000     1.000     1.000
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    11.297   162.078   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    11.297   162.055     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    11.297   162.055     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    11.252   162.055   5 km
END
